Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-41927

Enumerate and remove Execution-related FeatureCompatibilityVersion 4.0-dependent code and tests

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 4.3.1
    • Component/s: Upgrade/Downgrade
    • Labels:
      None
    • Backwards Compatibility:
      Fully Compatible
    • Sprint:
      Execution Team 2019-07-15

      Description

      The following tasks need to be completed:

      1. Create a list of tickets with code and tests to remove, add them to the 4.4 Upgrade/Downgrade Epic, and mark them as "is depended on by" this ticket. This will assist the Upgrade/Downgrade team in tracking progress. If there is an insufficient amount of work to warrant multiple tickets, then the work can be done under this ticket directly.

      2. Complete all necessary tickets promptly.

      3. Create a ticket identifying Execution-related generic upgrade/downgrade references that the Upgrade/Downgrade team should update now that the 4.0-dependent references have been removed.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              xiangyu.yao Xiangyu Yao (Inactive)
              Reporter:
              bernard.gorman Bernard Gorman
              Participants:
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: